/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.academia.Services;

import org.json.JSONObject;
import pe.siso.academia.DAO.DAOFactory;
import pe.siso.academia.DAO.RecuperacionDAO;

/**
 *
 * @author Felipe Escala
 */
public class RecuperacionService {

	DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
	RecuperacionDAO dao = factory.getRecuperacionDAO();

	public JSONObject listarRecuperaciones(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarRecuperaciones(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject eliminarRecuperacion(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.eliminarRecuperacion(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject nuevaRecuperacion(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.nuevaRecuperacion(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject listarCiclos(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.listarCiclos(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}

	public JSONObject editarRecuperacion(JSONObject datos) {
		JSONObject obj = null;
		try {
			obj = dao.editarRecuperacion(datos);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return obj;
	}
}
