<%-- 
    Document   : xlsAsistencia
    Created on : 05-sep-2018, 8:54:26
    Author     : Felipe Escala
--%>

<%@page import="pe.siso.academia.Beans.Usuario"%>
<%@page import="java.sql.Timestamp"%>
<%@page import="pe.siso.academia.Services.AsistenciaService"%>
<%@page import="org.json.JSONArray"%>
<%@page import="org.json.JSONObject"%>
<%@page contentType="text/html; charset=iso-8859-1" pageEncoding="UTF-8"%>

<!DOCTYPE html>
<html lang="en">
  <head>
    <%
      String json = request.getParameter("filters");
      JSONObject jobj = new JSONObject(json);
      jobj.put("draw", "1");
      jobj.put("start", "0");
      jobj.put("length", "-1");
      JSONObject jReturn = new JSONObject();
      JSONArray arrayReturn = new JSONArray();
      String exportToExcel = request.getParameter("exportToExcel");
      Timestamp timestamp = new Timestamp(System.currentTimeMillis());
      HttpSession session_actual = request.getSession(true);
      Usuario usuario = (Usuario) session_actual.getAttribute("usuario");
      jobj.put("codigoSede", usuario.getCodigoSede());
//      if (exportToExcel != null && exportToExcel.toString().equalsIgnoreCase("YES")) {timestamp.getTime()
      response.setContentType("application/vnd.ms-excel");
      response.setHeader("Content-Disposition", "inline; filename=ReporteAsistencias" + timestamp.getTime() + ".xls");
      AsistenciaService service = new AsistenciaService();
      jReturn = service.listarAsistencia(jobj);
      arrayReturn = jReturn.getJSONArray("data");
//      }
    %>
    <style>

      label,h5,h2,td,.btn,li,option,select,p,b,input,span {
        font-family: 'Poppins', sans-serif;
        font-style: normal
      }

      th{
        font-weight: 100;
        font-family: 'Poppins', sans-serif;
      }

      td{
        margin : 0px;
        padding: 10px;
      }
    </style>

  </head>
  <body>
    <h3 align="center">REPORTE DE ASISTENCIAS</h3>

    <table style="font-size: 11px" border="2" align="center">
      <thead>
        <tr bgcolor="#2D72AD"  style="color: white">
          <th class="text-center">Nº</th>
          <th class="text-center">ESTUDIANTE</th>
          <th class="text-center">DNI</th>
          <th class="text-center">CICLO</th>
          <th class="text-center">FECHA</th>
          <th class="text-center">HORA ASISTENCIA</th>
          <th class="text-center">HORA CLASE</th>
          <th class="text-center">OBSERVACION</th>
          <th class="text-center">ESTADO</th>
        </tr>

      </thead>
      <tbody>
        <%
          int sizeArray = arrayReturn.length();
          for (int i = 0; i < sizeArray; i++) {
            JSONObject obj = arrayReturn.getJSONObject(i);
        %>
        <tr bgcolor="#FEFEFE">
          <th style="padding : 10px;" align="center"><%=obj.getInt("numeral")%></th>
          <th style="padding : 10px;" align="left"><%=obj.getString("nombreEstudiante")%></th>
          <th style="padding : 10px;" align="center"><%=obj.getInt("dniEstudiante")%></th>
          <th style="padding : 10px;" align="left"><%=obj.getString("nombreCiclo")%></th>
          <th style="padding : 10px;" align="center"><%=obj.getString("fechaAsistencia")%></th>
          <th style="padding : 10px;" align="center"><%=obj.getString("horaAsistencia")%></th>
          <th style="padding : 10px;" align="center"><%=obj.getString("horaInicio") + " - " + obj.getString("horaSalida")%></th>
          <th style="padding : 10px;" align="left"><%=obj.getString("observacionAsistencia")%></th>
            <%
              switch (obj.getInt("estadoAsistencia")) {
                case 0:
            %>
          <th style="padding : 10px; background-color: #BB091C; color: white" align="center"><%="FALTA"%></th>
            <%
                break;
              case 1:
            %>
          <th style="padding : 10px; background-color: #8CC152; color: white" align="center"><%="ASITENCIA"%></th>
            <%
                break;
              case 2:
            %>
          <th style="padding : 10px; background-color:#F5BB42; color: white" align="center"><%="TARDANZA"%></th>
            <%
                  break;
                default:
              }
            %>
        </tr>
        <% }%>
      </tbody>
    </table>
    <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br> 
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

  </body>
</html>
